MacDraftParser Class Referencefinal

the main class to read a MacDraft v1 file More...

`#include <MacDraftParser.hxx>`

Inheritance diagram for MacDraftParser:

## Public Member Functions

| MacDraftParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~MacDraftParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions

void | init ()
| inits all internal variables
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readObject ()
| try to read an object
bool | readLabel ()
| try to read a label
bool | readPattern ()
| try to read a pattern
bool | readBitmapDefinition (MacDraftParserInternal::Shape &bitmap)
| try to read bitmap definition
bool | readBitmapData ()
| try to read bitmap data
bool | readZone ()
| try to a unknown zone
bool | readPrintInfo ()
| try to read the print info zone
bool | readDocHeader ()
| try to the doc header zone ( mainly unknown )
bool | send (MacDraftParserInternal::Shape const &shape)
| try to send a shape
bool | sendBitmap (MacDraftParserInternal::Shape const &bitmap, MWAWPosition const &position)
| try to send a bitmap
bool | sendText (int zoneId)
| try to send a text zone to the listener
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes

std::shared_ptr< MacDraftParserInternal::State > | m_state
| the state

## Friends

class | MacDraftParserInternal::SubDocument

## Detailed Description

the main class to read a MacDraft v1 file

## Constructor & Destructor Documentation

## MacDraftParser()

MacDraftParser::MacDraftParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ~MacDraftParser()

MacDraftParser::~MacDraftParser | ( |  | ) |

final

destructor

## Member Function Documentation

## checkHeader()

bool MacDraftParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )

final virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by MacDraftParserInternal::SubDocument, and parse().

## createDocument()

void MacDraftParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by MacDraftParserInternal::SubDocument, and parse().

## createZones()

bool MacDraftParser::createZones | ( |  | ) |

protected

finds the different objects zones

Referenced by MacDraftParserInternal::SubDocument, and parse().

## init()

void MacDraftParser::init | ( |  | ) |

protected

inits all internal variables

Referenced by MacDraftParser(), and MacDraftParserInternal::SubDocument.

## parse()

void MacDraftParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |

final virtual

virtual function used to parse the input

Implements MWAWGraphicParser.

Referenced by MacDraftParserInternal::SubDocument.

## readBitmapData()

bool MacDraftParser::readBitmapData | ( |  | ) |

protected

try to read bitmap data

Referenced by createZones(), and MacDraftParserInternal::SubDocument.

## readBitmapDefinition()

bool MacDraftParser::readBitmapDefinition | ( | MacDraftParserInternal::Shape & | bitmap | ) |

protected

try to read bitmap definition

Referenced by MacDraftParserInternal::SubDocument, and readObject().

## readDocHeader()

bool MacDraftParser::readDocHeader | ( |  | ) |

protected

try to the doc header zone ( mainly unknown )

Referenced by createZones(), and MacDraftParserInternal::SubDocument.

## readLabel()

bool MacDraftParser::readLabel | ( |  | ) |

protected

try to read a label

Referenced by MacDraftParserInternal::SubDocument, and readObject().

## readObject()

bool MacDraftParser::readObject | ( |  | ) |

protected

try to read an object

Referenced by createZones(), MacDraftParserInternal::SubDocument, and readObject().

## readPattern()

bool MacDraftParser::readPattern | ( |  | ) |

protected

try to read a pattern

Referenced by createZones(), MacDraftParserInternal::SubDocument, and readZone().

## readPrintInfo()

bool MacDraftParser::readPrintInfo | ( |  | ) |

protected

try to read the print info zone

Referenced by createZones(), MacDraftParserInternal::SubDocument, and readZone().

## readZone()

bool MacDraftParser::readZone | ( |  | ) |

protected

try to a unknown zone

Referenced by MacDraftParserInternal::SubDocument.

## send()

bool MacDraftParser::send | ( | MacDraftParserInternal::Shape const & | shape | ) |

protected

try to send a shape

Referenced by MacDraftParserInternal::SubDocument, parse(), and send().

## sendBitmap()

bool MacDraftParser::sendBitmap | ( | MacDraftParserInternal::Shape const & | bitmap,
|  | MWAWPosition const & | position )

protected

try to send a bitmap

Referenced by MacDraftParserInternal::SubDocument, and send().

## sendText()

bool MacDraftParser::sendText | ( | int | zoneId | ) |

protected

try to send a text zone to the listener

Referenced by MacDraftParserInternal::SubDocument.

## Friends And Related Symbol Documentation

## MacDraftParserInternal::SubDocument

friend class MacDraftParserInternal::SubDocument

friend

## Member Data Documentation

## m_state

std::shared_ptr<MacDraftParserInternal::State> MacDraftParser::m_state

protected

the state

Referenced by checkHeader(), createZones(), init(), MacDraftParser(), parse(), readBitmapData(), readDocHeader(), readLabel(), readObject(), readPattern(), send(), sendBitmap(), and sendText().

The documentation for this class was generated from the following files:

- MacDraftParser.hxx
- MacDraftParser.cxx